Package org.drinkless.tdlib

# Class TdApi.ReportChatPhoto

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.ReportChatPhoto

Enclosing class:
  `TdApi`

public static class TdApi.ReportChatPhoto extends TdApi.Function<TdApi.Ok>
Reports a chat photo to the Telegram moderators. A chat photo can be reported only if chat.canBeReported.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `fileId`
  Identifier of the photo to report.
  `TdApi.ReportReason`
  `reason`
  The reason for reporting the chat photo.
  `String`
  `text`
  Additional report details; 0-1024 characters.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReportChatPhoto()`
  Default constructor for a function, which reports a chat photo to the Telegram moderators.
  `ReportChatPhoto(long chatId, int fileId, TdApi.ReportReason reason, String text)`
  Creates a function, which reports a chat photo to the Telegram moderators.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### fileId

    public int fileId
    Identifier of the photo to report. Only full photos from chatPhoto can be reported.

  - ### reason

    public TdApi.ReportReason reason
    The reason for reporting the chat photo.

  - ### text

    public String text
    Additional report details; 0-1024 characters.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ReportChatPhoto

    public ReportChatPhoto()
    Default constructor for a function, which reports a chat photo to the Telegram moderators. A chat photo can be reported only if chat.canBeReported.

    Returns `Ok`

  - ### ReportChatPhoto

    public ReportChatPhoto(long chatId, int fileId, TdApi.ReportReason reason, String text)
    Creates a function, which reports a chat photo to the Telegram moderators. A chat photo can be reported only if chat.canBeReported.

    Returns `Ok`

    Parameters:
      `chatId` - Chat identifier.
      `fileId` - Identifier of the photo to report. Only full photos from chatPhoto can be reported.
      `reason` - The reason for reporting the chat photo.
      `text` - Additional report details; 0-1024 characters.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR